<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: rcn_disabled.inc,v 1.3 2003/09/04 17:05:17 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/rcn_disabled.inc,v $

 This message shows up if their host has been disabled

*/
$url = "http://uhds.oregonstate.edu/resnet/maintaindocs/disabled.php?username=" . $user->username;
$did_include = include($url);

$autoreg = new Autoreg($user->username);

$hosts = $autoreg->hosts;
if ($hosts) { 
	foreach ($hosts as $key => $host) { 
		$host = new Host($host->id);
		$comment = $autoreg->get_disabled_reason($host);
		if (!$comment) { $comment = "None Given"; } 
?>
<p><b>Host Information</b><br />
<ul>
<li>Hardware Address:<?= $host->ha; ?></li>
<li>Hardware Type:<?= $host->type; ?></li>
</ul>
</p>
<p>Reason for Disable:
&nbsp;&nbsp;&nbsp;<?= $comment; ?></p>
<hr />
<?
	} // end foreach 
} // end if hosts
?>


